## python-admesh 0.98.5

=== requirements.txt ===
Cython>=0.22

## python-admesh 0.98.1

=== debian/changelog ===
python-admesh (0.98.1-1) unstable; urgency=medium

  * [d25434a] Remove override_dh_auto_clean.
  * [635fd78] Add watch-file.
  * [7b713c6] Imported Upstream version 0.98.1
  * [4f15eae] Remove applied by upstream patch.

 -- Anton Gladky <gladk@debian.org>  Sat, 06 Sep 2014 10:48:09 +0200

python-admesh (0.98-1) unstable; urgency=medium

  * Initial packaging. (Closes: #759354)

 -- Anton Gladky <gladk@debian.org>  Sat, 30 Aug 2014 21:36:06 +0200

=== debian/control ===
Source: python-admesh
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Build-Depends:
 cython,
 cython3,
 debhelper (>= 9),
 dh-python,
 libadmesh-dev,
 python-all (>=2.6.6-3~),
 python-dev (>=2.6.6-3~),
 python-setuptools,
 python3-all,
 python3-dev,
 python3-setuptools
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/admesh/python-admesh
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-admesh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-admesh.git
XS-Testsuite: autopkgtest

Package: python-admesh
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 admesh
Description: Python bindings for the ADMesh (Python 2)
 It lets you manipulate 3D models in binary or ASCII STL 
 format and partially repair them if necessary.
 .
 This is the Python 2 version of the package.

Package: python3-admesh
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 admesh
Description: Python bindings for the ADMesh (Python 3)
 It lets you manipulate 3D models in binary or ASCII STL 
 format and partially repair them if necessary.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=admesh

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-admesh 0.98.4

=== debian/changelog ===
python-admesh (0.98.4-1) unstable; urgency=medium

  [ Steve Langasek ]
  * [98e0cdb] Build-depend on python3-all-dev, not python3-dev.
              (Closes: #793579)

  [ Anton Gladky ]
  * [24ed3e2] Imported Upstream version 0.98.4
  * [937ae76] Harden version of cython to 0.22.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Aug 2015 20:50:35 +0200

python-admesh (0.98.3-1) unstable; urgency=medium

  * [4daaad6] Use cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Fri, 01 May 2015 10:07:08 +0200

python-admesh (0.98.3-1~exp1) experimental; urgency=medium

  * [5d8ea94] Imported Upstream version 0.98.3
  * [cdc63f1] Set Standards-Version: 3.9.6. No changes.
  * [033bcb5] Update date in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Mar 2015 23:30:10 +0100

## python-admesh 0.98.5

=== debian/changelog ===
python-admesh (0.98.5-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:42:35 +0000

python-admesh (0.98.5-1) unstable; urgency=medium

  * [f2819d3] Imported Upstream version 0.98.5. (Closes: #799657)

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Sep 2015 21:53:47 +0200

=== debian/control ===
Source: python-admesh
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest
Priority: optional
Build-Depends: cython (>= 0.22),
               cython3 (>= 0.22),
               debhelper (>= 9),
               dh-python,
               libadmesh-dev,
               python-all-dev,
               python-setuptools,
               python3-all-dev,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-admesh.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-admesh.git
Homepage: https://github.com/admesh/python-admesh
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-admesh
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: admesh
Description: Python bindings for the ADMesh (Python 2)
 It lets you manipulate 3D models in binary or ASCII STL 
 format and partially repair them if necessary.
 .
 This is the Python 2 version of the package.

Package: python3-admesh
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: admesh
Description: Python bindings for the ADMesh (Python 3)
 It lets you manipulate 3D models in binary or ASCII STL 
 format and partially repair them if necessary.
 .
 This is the Python 3 version of the package.

## python-admesh 0.98.7

=== debian/changelog ===
python-admesh (0.98.7-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:27:22 +0000

python-admesh (0.98.7-1) unstable; urgency=medium

  * [ff5449e] New upstream version 0.98.7
  * [fd6c4c4] Apply cme fix dpkg.
  * [90a35cf] Apply the highest hardening level.
  * [e1dada2] Set compat level 10.
  * [efc54c1] Add python{3}-pytest-runner to Build-Depends.

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Jul 2017 22:30:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
 Priority: optional
 Build-Depends: cython (>= 0.22),
                cython3 (>= 0.22),
-               debhelper (>= 9),
+               debhelper (>= 10),
                dh-python,
                libadmesh-dev,
                python-all-dev,
                python-setuptools,
+               python-pytest-runner,
                python3-all-dev,
+               python3-pytest-runner,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-admesh.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-admesh.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-admesh.git
 Homepage: https://github.com/admesh/python-admesh
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

## python-admesh 0.98.8

=== debian/changelog ===
python-admesh (0.98.8-1) unstable; urgency=medium

  * [6abeddd] New upstream version 0.98.8. (Closes: #873509)
  * [469cb3c] Set Standards-Version: 4.1.1

 -- Anton Gladky <gladk@debian.org>  Tue, 03 Oct 2017 22:54:48 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-all-dev,
                python3-pytest-runner,
                python3-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-admesh.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-admesh.git
 Homepage: https://github.com/admesh/python-admesh

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=admesh
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: admesh-python-test
Depends: ipython, ipython3, python-admesh, python3-admesh

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/admesh/python-admesh/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-admesh 0.98.9

=== debian/changelog ===
python-admesh (0.98.9-2build13) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:31:34 +0000

python-admesh (0.98.9-2build12) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:21:09 +0000

python-admesh (0.98.9-2build11) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:30:47 +0100

python-admesh (0.98.9-2build10) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:27:03 +0000

python-admesh (0.98.9-2build9) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:25:10 +0100

python-admesh (0.98.9-2build8) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Mar 2023 05:41:37 +0000

python-admesh (0.98.9-2build7) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 17:37:59 +0000

python-admesh (0.98.9-2build6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:01:13 +0000

python-admesh (0.98.9-2build5) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 10:14:51 +0200

python-admesh (0.98.9-2build3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:20:44 +0100

python-admesh (0.98.9-2build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 10:57:09 +0100

python-admesh (0.98.9-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:28 +0100

python-admesh (0.98.9-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #937571).
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove trailing whitespaces.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.1 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Oct 2019 13:54:58 +0200

python-admesh (0.98.9-1) unstable; urgency=medium

  * [3ffaf7f] New upstream version 0.98.9. (Closes: #906556)
  * [365f4eb] Update VCS-links
  * [e0beb9c] Set standards-version to 4.2.0
  * [0186c02] Remove deprecated testsuite-field
  * [eaf3b73] Remove X-Python fields

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Aug 2018 22:40:47 +0200

=== debian/control ===
Source: python-admesh
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: cython3 (>= 0.22),
               debhelper-compat (= 12),
               dh-python,
               libadmesh-dev,
               python3-all-dev,
               python3-pytest-runner,
               python3-setuptools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/python-admesh
Vcs-Git: https://salsa.debian.org/science-team/python-admesh.git
Homepage: https://github.com/admesh/python-admesh

Package: python3-admesh
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: admesh
Description: Python bindings for the ADMesh (Python 3)
 It lets you manipulate 3D models in binary or ASCII STL
 format and partially repair them if necessary.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=admesh
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild
